
version "2.5"


class LowDingHandler : StaticEventHandler
{
	PlayerInfo plr;
	int duration;
	
	override void PlayerEntered(PlayerEvent e)
	{
		plr = players[e.playernumber];
		duration = 140 ;
	}
	
	override void NetworkProcess(ConsoleEvent e)
	{
		if(e.Name == "lower_duration") --duration;
	}
	
	override void RenderOverlay(RenderEvent e)
	{
		if(plr && duration > 0)
		{
			EventHandler.SendNetworkEvent("lower_duration");
			if(duration % 16 >= 8)
			{
				if(gameinfo.gametype==GAME_Doom)
				{
					string disktype = Cvar.GetCVar("ve_showcd", plr).GetBool() ? "STCDROM" : "STDISK";
					TextureID Disk = TexMan.CheckForTexture(disktype, TexMan.Type_Any);
					Screen.DrawTexture(Disk, false, 304, 184, DTA_320x200, true);
				}
				else if(gameinfo.gametype==GAME_Strife)
				{
					TextureID Disk = TexMan.CheckForTexture ("STDISK", TexMan.Type_Any);
					Screen.DrawTexture(Disk, false, 306, 184, DTA_320x200, true);
				}
			}
		}
	}
}
